\begin{abstract}
The imposition of real-time constraints on a parallel computing environment--- 
specifically high-performance, cluster-computing systems---
introduces a variety of challenges with respect to the formal verification of the system's timing properties. 
In this paper, we briefly motivate the need for such a system, and we introduce an automaton-based method for performing such formal verification. We define the concept of a consistent parallel timing system: a hybrid system consisting of a set of timed automata (specifically, timed 
\buchi automata as well as a timed variant of standard finite automata), intended to model the timing properties of a 
well-behaved real-time parallel system. Finally, we give a brief case study to demonstrate the concepts in the paper: a 
parallel matrix multiplication kernel which operates within provable upper time bounds. 
We give the algorithm used, a corresponding consistent parallel timing system, and empirical results showing that the system operates under the specified timing constraints.
\end{abstract}
\endinput
